#ifndef YTMQTTPUB_H
#define YTMQTTPUB_H

#include <QThread>
#include <QJsonArray>
#include <QJsonDocument>
#include <QJsonObject>
#include <QJsonValue>
#include <QJsonParseError>
#include <QVariantMap>
#include "jzmqttpub.h"



class YTMqttPub : public QThread
{
    Q_OBJECT
public:
    explicit YTMqttPub(QObject *parent = nullptr);
    void run();
    void stop();
    void devMessage(MqttData dev);

signals:
    void mqttData(QString msg);
    void mqttLog(QString msg_log);

public slots:

private:
    bool keep;
    QList<MqttData> mqttDataList;
};

#endif // YTMQTTPUB_H
